        LDA #loadname_end-loadname
        LDX #loadname & 255
        LDY #loadname >> 8
        JSR $ffbd	; call setnam
        LDA #$01
        LDX $ae		; last used device number
        BNE *+4
        LDX #$08	; default to device 8
	LDY #$00	; $00 means: load to new address
        JSR $ffba	; call setlfs

        LDA #hs_data & 255
        STA $02
        LDA #hs_data >> 8
        STA $03

        LDX #hs_data & 255
        LDY #hs_data >> 8
        LDA #$00	; $00 means: load to memory (not verify)
        JSR $ffd5	; call load
        BCS *+3		; if carry set, a load error has happened
        RTS
           
        LDA #$08	; file number 8
        JSR $ffc3	; call close
        JSR $ffcc	; call clrchn
        RTS
        ; accumulator contains basic error code
        ; most likely errors:
        ; A = $05 (DEVICE NOT PRESENT)
        ; A = $04 (FILE NOT FOUND)
        ; A = $1D (LOAD ERROR)
        ; A = $00 (BREAK, RUN/STOP has been pressed during loading)

        RTS

loadname
	db "HISCORE"
loadname_end
