hs_data_end   = hs_data+$6e

;	STA $ff3e
; set as common JSR!
;        lda #hs_data & 255
;        sta $02
;        lda #hs_data >> 8
;        sta $03
        jsr set_hs_pointers
        ;
        lda #lfilename_end-lfilename
        ldx #lfilename & 255
        ldy #lfilename >> 8
        jsr $ffbd     ; call setnam
        lda #$02      ; file number 2
        ldx $ae       ; last used device number
        bne *+4
        ldx #$08      ; default to device 8
	ldy #$02      ; secondary address 2
        jsr $ffba     ; call setlfs
	jsr $ffc0     ; call open
        bcs oerror    ; if carry set, the file could not be opened     
;        
;        ; check drive error channel here to test for
;        ; file exists error etc.
;        
        ldx #$02      ; file number 2
        jsr $ffc9     ; call chkout (file 2 now used as output)       
        ldy #$00
wloop   
	jsr $ffb7     ; call readst (read status byte)
        bne werror    ; write error
        lda ($02),y   ; get byte from memory
        jsr $ffd2     ; call chrout (write byte to file)
        inc $02
        bne *+4
        inc $03
        lda $02
        cmp #hs_data_end & 255
        lda $03
        sbc #hs_data_end >> 8
        bcc wloop     ; next byte
sfile_close
        lda #$02      ; file number 2
        jsr $ffc3     ; call close
        jsr $ffcc     ; call clrchn
;        SEI
;        STA $ff3f
        rts
oerror
        jmp sfile_close	; even if open failed, the file has to be closed
werror
        jmp sfile_close

lfilename
	cmap
	; BEWARE! "@O"="@o", THE REST HAS TO BE UPPERCASE!
	db "@o:2048 OCTALUXE HS,S,W"  ; ,p,w is required to make this an output file!
lfilename_end
